%global srcname           3270font
%global foundry           rbanffy
%global fontlicense       BSD and OFL
%global fontlicenses      LICENSE.txt
%global fontdocs          README.md CHANGELOG.md
%global fontfamily        3270
%global fontsummary       Monospaced font based on IBM 3270 terminals
%global fonts             build/*.otf
%global fontconfs         %{SOURCE10}

Name:                     fonts-3270
Version:                  3.0.0
Release:                  1%{?dist}
Summary:                  %{fontsummary}
License:                  %{fontlicense}
URL:                      https://github.com/rbanffy/3270font
Source0:                  %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source10:                 65-rbanffy-3270-fonts.conf
BuildRequires:            fontforge
BuildRequires:            make


%description
This font is derived from the x3270 font, which, in turn, was translated from
the one in Georgia Tech's 3270tool, which was itself hand-copied from a 3270
terminal.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__make} font
%fontbuild


%install
%fontinstall


%check
for f in %{fonts}; do
  # https://github.com/rbanffy/3270font/issues/110
  fontlint -i 98 -i 2 -i 5 -i 3 $f
done


%files
%{_sysconfdir}/fonts/conf.d/65-rbanffy-3270-fonts.conf
%{_datadir}/fontconfig/conf.avail/65-rbanffy-3270-fonts.conf
%{_datadir}/fonts/rbanffy-3270-fonts/3270-Regular.otf
%{_datadir}/fonts/rbanffy-3270-fonts/3270Condensed-Regular.otf
%{_datadir}/fonts/rbanffy-3270-fonts/3270SemiCondensed-Regular.otf
%{_datadir}/metainfo/org.fedoraproject.rbanffy-3270-fonts.metainfo.xml


%changelog
